%define major 4
%define libname %mklibname atasmart %{major}
%define develname %mklibname -d atasmart

Summary:	ATA S.M.A.R.T. Disk Health Monitoring Library
Name:		libatasmart
Version:	0.19
Release:	%mkrel 3
License:	LGPLv2+
Group:		System/Libraries
URL:		http://git.0pointer.de/?p=libatasmart.git;a=summary
Source0:	http://0pointer.de/public/libatasmart-%{version}.tar.xz
BuildRequires:	libudev-devel

%description
A small and lightweight parser library for ATA S.M.A.R.T. hard disk
health monitoring.

%package -n	%{libname}
Summary:	ATA S.M.A.R.T. Disk Health Monitoring Library
Group:		System/Libraries

%description -n	%{libname}
A small and lightweight parser library for ATA S.M.A.R.T. hard disk
health monitoring.

%package -n	%{develname}
Summary:	Development Files for libatasmart Client Development
Group:		Development/C
Provides:	libatasmart-devel = %version-%release
Requires:	%libname = %version-%release

%description -n	%{develname}
Development files for libatasmart Client Development

%prep

%setup -q

%build
%configure2_5x \
    --disable-static

%make

%install

%makeinstall_std

find %{buildroot} \( -name *.a -o -name *.la \) -exec rm {} \;

%files
%doc README LGPL
%{_sbindir}/skdump
%{_sbindir}/sktest

%files -n %{libname}
%{_libdir}/libatasmart.so.%{major}*

%files -n %{develname}
%doc blob-examples/SAMSUNG* blob-examples/ST* blob-examples/Maxtor* blob-examples/WDC* blob-examples/README
%{_includedir}/atasmart.h
%{_libdir}/libatasmart.so
%{_libdir}/pkgconfig/libatasmart.pc
%{_datadir}/vala/vapi/atasmart.vapi


%changelog

* Sat Jan 12 2013 umeabot <umeabot> 0.19-3.mga3
+ Revision: 356837
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jun 29 2012 colin <colin> 0.19-2.mga3
+ Revision: 264947
- Rebuild against new libudev major

* Fri Jun 01 2012 dams <dams> 0.19-1.mga3
+ Revision: 252739
- new version 0.19

* Sun Nov 27 2011 tv <tv> 0.18-1.mga2
+ Revision: 172609
- new release

  + pterjan <pterjan>
    - Drop obsolete Obsoletes and scriptlets
    - imported package libatasmart

